summaryrefslogtreecommitdiff
path: root/tests/tests/test-list-uptodate
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/test-list-uptodate')
-rwxr-xr-xtests/tests/test-list-uptodate11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/tests/test-list-uptodate b/tests/tests/test-list-uptodate
new file mode 100755
index 0000000..1e5f199
--- /dev/null
+++ b/tests/tests/test-list-uptodate
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+: "just verifies internal consistency of test suite"
+
+cd $root
+$troot/enumerate-tests gencontrol >$tmp/control-expected
+diff debian/tests/control $tmp/control-expected
+
+t-ok